[prev in list] [next in list] [prev in thread] [next in thread] 

List:       freedesktop-xorg-devel
Subject:    [PATCH modular 09/10] Rely on "git clone" return value.
From:       Trevor Woerner <twoerner () gmail ! com>
Date:       2010-09-30 21:28:55
Message-ID: 1285882135-20825-1-git-send-email-twoerner () gmail ! com
[Download RAW message or body]

From: Trevor Woerner <twoerner@gmail.com>

Don't allow the "git clone" to succeed if a partial clone occurs
(i.e. hangup).

Signed-off-by: Trevor Woerner <twoerner@gmail.com>
---
 build.sh |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

diff --git a/build.sh b/build.sh
index ae7d34e..a427b57 100755
--- a/build.sh
+++ b/build.sh
@@ -203,7 +203,7 @@ clone() {
 
     if [ ! -d "$DIR" ]; then
         git clone "$GITROOT/$BASEDIR$DIR" "$DIR"
-        if [ $? -ne 0 ] && [ ! -d "$DIR" ]; then
+        if [ $? -ne 0 ]; then
             echo "Failed to clone $1 module component $2. Ignoring."
             clonefailed_components="$clonefailed_components $1/$2"
             return 1
-- 
1.7.3.1.45.g9855b

_______________________________________________
xorg-devel@lists.x.org: X.Org development
Archives: http://lists.x.org/archives/xorg-devel
Info: http://lists.x.org/mailman/listinfo/xorg-devel
[prev in list] [next in list] [prev in thread] [next in thread] 

Configure | About | News | Add a list | Sponsored by KoreLogic